libvisio::VSDXMLParserBase Class Reference documentation

libvisio::VSDXMLParserBase Class Referenceabstract

`#include <VSDXMLParserBase.h>`

Inheritance diagram for libvisio::VSDXMLParserBase:

## Public Member Functions
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()
virtual bool | parseMain ()=0
virtual bool | extractStencils ()=0

## Protected Member Functions
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
int | readStringData (VSDName &text, xmlTextReaderPtr reader)
void | readTriggerId (unsigned &id, xmlTextReaderPtr reader)
virtual xmlChar * | readStringData (xmlTextReaderPtr reader)=0
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
virtual int | getElementToken (xmlTextReaderPtr reader)=0
virtual int | getElementDepth (xmlTextReaderPtr reader)=0
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
virtual void | getBinaryData (xmlTextReaderPtr reader)=0
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readLayerIX (xmlTextReaderPtr reader)
void | readLayerMember (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)

## Protected Attributes
VSDCollector * | m_collector
VSDStencils | m_stencils
std::unique_ptr< VSDStencil > | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
librevenge::RVNGBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDTabStop > * | m_currentTabSet
XMLErrorWatcher * | m_watcher

## Private Member Functions
| VSDXMLParserBase (const VSDXMLParserBase &)
VSDXMLParserBase & | operator= (const VSDXMLParserBase &)
void | initColours ()

## Constructor & Destructor Documentation

## ◆ VSDXMLParserBase() [1/2]

libvisio::VSDXMLParserBase::VSDXMLParserBase | ( |  | ) |
| explicit

Referenced by operator=(), libvisio::VDXParser::VDXParser(), VSDXMLParserBase(), and libvisio::VSDXParser::VSDXParser().

## ◆ ~VSDXMLParserBase()

libvisio::VSDXMLParserBase::~VSDXMLParserBase | ( |  | ) |
| virtual

## ◆ VSDXMLParserBase() [2/2]

libvisio::VSDXMLParserBase::VSDXMLParserBase | ( | const VSDXMLParserBase & |  | ) |
| private

## Member Function Documentation

## ◆ _flushShape()

void libvisio::VSDXMLParserBase::_flushShape | ( |  | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ _handleLevelChange()

void libvisio::VSDXMLParserBase::_handleLevelChange | ( | unsigned | level | ) |
| protectedvirtual

Referenced by handleMasterEnd(), handlePageEnd(), libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ extractStencils()

virtual bool libvisio::VSDXMLParserBase::extractStencils | ( |  | ) |
| pure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

## ◆ getBinaryData()

virtual void libvisio::VSDXMLParserBase::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

Referenced by readForeignData().

## ◆ getElementDepth()

virtual int libvisio::VSDXMLParserBase::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

Referenced by readArcTo(), readCharIX(), readEllipse(), readEllipticalArcTo(), readGeometry(), readInfiniteLine(), readLayerIX(), readLineTo(), readMoveTo(), readNURBSTo(), readPage(), readPageSheet(), readParaIX(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), readShape(), readSplineKnot(), readSplineStart(), and readStyleSheet().

## ◆ getElementToken()

virtual int libvisio::VSDXMLParserBase::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

Referenced by readArcTo(), readCharIX(), readColours(), readEllipse(), readEllipticalArcTo(), readInfiniteLine(), readLayerIX(), readLineTo(), readMoveTo(), readNURBSTo(), readParaIX(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), readSplineKnot(), readSplineStart(), readText(), skipMasters(), and skipPages().

## ◆ getIX()

unsigned libvisio::VSDXMLParserBase::getIX | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by readArcTo(), readCharIX(), readColours(), readEllipse(), readEllipticalArcTo(), readGeometry(), readInfiniteLine(), readLayerIX(), readLineTo(), readMoveTo(), readNURBSTo(), readParaIX(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), readSplineKnot(), readSplineStart(), libvisio::VDXParser::readTab(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), and readText().

## ◆ handleMasterEnd()

void libvisio::VSDXMLParserBase::handleMasterEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handleMastersEnd()

void libvisio::VSDXMLParserBase::handleMastersEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handleMastersStart()

void libvisio::VSDXMLParserBase::handleMastersStart | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handleMasterStart()

void libvisio::VSDXMLParserBase::handleMasterStart | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handlePageEnd()

void libvisio::VSDXMLParserBase::handlePageEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handlePagesEnd()

void libvisio::VSDXMLParserBase::handlePagesEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handlePagesStart()

void libvisio::VSDXMLParserBase::handlePagesStart | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ handlePageStart()

void libvisio::VSDXMLParserBase::handlePageStart | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ initColours()

void libvisio::VSDXMLParserBase::initColours | ( |  | ) |
| private

Referenced by readColours(), and VSDXMLParserBase().

## ◆ operator=()

VSDXMLParserBase & libvisio::VSDXMLParserBase::operator= | ( | const VSDXMLParserBase & |  | ) |
| private

## ◆ parseMain()

virtual bool libvisio::VSDXMLParserBase::parseMain | ( |  | ) |
| pure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

## ◆ readArcTo()

void libvisio::VSDXMLParserBase::readArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readBoolData() [1/2]

int libvisio::VSDXMLParserBase::readBoolData | ( | bool & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readBoolData() [2/2]

int libvisio::VSDXMLParserBase::readBoolData | ( | boost::optional< bool > & | value,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readCharIX(), and readLayerIX().

## ◆ readByteData() [1/2]

int libvisio::VSDXMLParserBase::readByteData | ( | boost::optional< unsigned char > & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readByteData() [2/2]

int libvisio::VSDXMLParserBase::readByteData | ( | unsigned char & | value,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by libvisio::VDXParser::readFillAndShadow(), libvisio::VDXParser::readLine(), readParaIX(), libvisio::VSDXParser::readShapeProperties(), libvisio::VSDXParser::readStyleProperties(), libvisio::VDXParser::readTab(), libvisio::VSDXParser::readTabRow(), and libvisio::VDXParser::readTextBlock().

## ◆ readCharIX()

void libvisio::VSDXMLParserBase::readCharIX | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readCharacter().

## ◆ readColours()

void libvisio::VSDXMLParserBase::readColours | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ readDoubleData() [1/2]

int libvisio::VSDXMLParserBase::readDoubleData | ( | boost::optional< double > & | value,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readArcTo(), readCharIX(), readEllipse(), readEllipticalArcTo(), readInfiniteLine(), readLineTo(), readMoveTo(), readNURBSTo(), readParaIX(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), readSplineKnot(), and readSplineStart().

## ◆ readDoubleData() [2/2]

int libvisio::VSDXMLParserBase::readDoubleData | ( | double & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readEllipse()

void libvisio::VSDXMLParserBase::readEllipse | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readEllipticalArcTo()

void libvisio::VSDXMLParserBase::readEllipticalArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readExtendedColourData() [1/3]

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | boost::optional< Colour > & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readExtendedColourData() [2/3]

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | Colour & | value,
|  | long & | idx,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readCharIX(), readExtendedColourData(), readExtendedColourData(), and readLayerIX().

## ◆ readExtendedColourData() [3/3]

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | Colour & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readForeignData()

void libvisio::VSDXMLParserBase::readForeignData | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readShapeProperties().

## ◆ readGeometry()

void libvisio::VSDXMLParserBase::readGeometry | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readShapeProperties().

## ◆ readInfiniteLine()

void libvisio::VSDXMLParserBase::readInfiniteLine | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readLayerIX()

void libvisio::VSDXMLParserBase::readLayerIX | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readLayer().

## ◆ readLayerMember()

void libvisio::VSDXMLParserBase::readLayerMember | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readLineTo()

void libvisio::VSDXMLParserBase::readLineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readLongData() [1/2]

int libvisio::VSDXMLParserBase::readLongData | ( | boost::optional< long > & | value,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readByteData(), readByteData(), readCharIX(), and readUnsignedData().

## ◆ readLongData() [2/2]

int libvisio::VSDXMLParserBase::readLongData | ( | long & | value,
|  | xmlTextReaderPtr | reader )
| protected

## ◆ readMoveTo()

void libvisio::VSDXMLParserBase::readMoveTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readNURBSData()

int libvisio::VSDXMLParserBase::readNURBSData | ( | boost::optional< NURBSData > & | data,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readNURBSTo().

## ◆ readNURBSTo()

void libvisio::VSDXMLParserBase::readNURBSTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readPage()

void libvisio::VSDXMLParserBase::readPage | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by handleMasterStart(), and handlePageStart().

## ◆ readPageSheet()

void libvisio::VSDXMLParserBase::readPageSheet | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ readParaIX()

void libvisio::VSDXMLParserBase::readParaIX | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readParagraph().

## ◆ readPolylineData()

int libvisio::VSDXMLParserBase::readPolylineData | ( | boost::optional< PolylineData > & | data,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readPolylineTo().

## ◆ readPolylineTo()

void libvisio::VSDXMLParserBase::readPolylineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readRelCubBezTo()

void libvisio::VSDXMLParserBase::readRelCubBezTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readRelEllipticalArcTo()

void libvisio::VSDXMLParserBase::readRelEllipticalArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readRelLineTo()

void libvisio::VSDXMLParserBase::readRelLineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readRelMoveTo()

void libvisio::VSDXMLParserBase::readRelMoveTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readRelQuadBezTo()

void libvisio::VSDXMLParserBase::readRelQuadBezTo | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readShape()

void libvisio::VSDXMLParserBase::readShape | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ readSplineKnot()

void libvisio::VSDXMLParserBase::readSplineKnot | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readSplineStart()

void libvisio::VSDXMLParserBase::readSplineStart | ( | xmlTextReaderPtr | reader | ) |
| protected

## ◆ readStencil()

void libvisio::VSDXMLParserBase::readStencil | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by handleMasterStart().

## ◆ readStringData() [1/2]

int libvisio::VSDXMLParserBase::readStringData | ( | libvisio::VSDName & | text,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readBoolData(), readBoolData(), readCharIX(), readDoubleData(), readDoubleData(), readExtendedColourData(), readLongData(), readLongData(), readNURBSData(), readParaIX(), readPolylineData(), and readStringData().

## ◆ readStringData() [2/2]

virtual xmlChar * libvisio::VSDXMLParserBase::readStringData | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VDXParser, and libvisio::VSDXParser.

## ◆ readStyleSheet()

void libvisio::VSDXMLParserBase::readStyleSheet | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::processXmlNode().

## ◆ readText()

void libvisio::VSDXMLParserBase::readText | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by libvisio::VDXParser::processXmlNode(), and libvisio::VSDXParser::readShapeProperties().

## ◆ readTriggerId()

void libvisio::VSDXMLParserBase::readTriggerId | ( | unsigned & | id,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by libvisio::VDXParser::readMisc(), and libvisio::VSDXParser::readShapeProperties().

## ◆ readUnsignedData()

int libvisio::VSDXMLParserBase::readUnsignedData | ( | boost::optional< unsigned > & | value,
|  | xmlTextReaderPtr | reader )
| protected

Referenced by readParaIX(), and readSplineStart().

## ◆ skipMasters()

void libvisio::VSDXMLParserBase::skipMasters | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by handleMastersStart().

## ◆ skipPages()

void libvisio::VSDXMLParserBase::skipPages | ( | xmlTextReaderPtr | reader | ) |
| protected

Referenced by handlePagesStart().

## Member Data Documentation

## ◆ m_collector

VSDCollector* libvisio::VSDXMLParserBase::m_collector
| protected

Referenced by _flushShape(), _handleLevelChange(), handleMasterEnd(), handleMastersEnd(), handlePageEnd(), handlePagesEnd(), libvisio::VSDXParser::parseDocument(), libvisio::VDXParser::parseMain(), libvisio::VSDXParser::parseMain(), libvisio::VSDXParser::parseMetaData(), readCharIX(), libvisio::VDXParser::readFillAndShadow(), readLayerIX(), libvisio::VDXParser::readLine(), readPage(), libvisio::VDXParser::readPageProps(), readPageSheet(), libvisio::VSDXParser::readPageSheetProperties(), readParaIX(), libvisio::VSDXParser::readStyleProperties(), readStyleSheet(), libvisio::VDXParser::readTextBlock(), and VSDXMLParserBase().

## ◆ m_colours

std::map<unsigned, Colour> libvisio::VSDXMLParserBase::m_colours
| protected

Referenced by initColours(), readColours(), readExtendedColourData(), libvisio::VSDXParser::readShapeProperties(), libvisio::VSDXParser::readStyleProperties(), libvisio::VDXParser::readTextBlock(), and VSDXMLParserBase().

## ◆ m_currentBinaryData

librevenge::RVNGBinaryData libvisio::VSDXMLParserBase::m_currentBinaryData
| protected

Referenced by libvisio::VSDXParser::extractBinaryData(), libvisio::VSDXParser::getBinaryData(), and VSDXMLParserBase().

## ◆ m_currentGeometryList

VSDGeometryList* libvisio::VSDXMLParserBase::m_currentGeometryList
| protected

Referenced by readArcTo(), readEllipse(), readEllipticalArcTo(), readGeometry(), readInfiniteLine(), readLineTo(), readMoveTo(), readNURBSTo(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), readSplineKnot(), readSplineStart(), and VSDXMLParserBase().

## ◆ m_currentGeometryListIndex

unsigned libvisio::VSDXMLParserBase::m_currentGeometryListIndex
| protected

Referenced by VSDXMLParserBase().

## ◆ m_currentLevel

unsigned libvisio::VSDXMLParserBase::m_currentLevel
| protected

Referenced by _handleLevelChange(), and VSDXMLParserBase().

## ◆ m_currentShapeLevel

unsigned libvisio::VSDXMLParserBase::m_currentShapeLevel
| protected

Referenced by _flushShape(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), readPageSheet(), readShape(), and VSDXMLParserBase().

## ◆ m_currentStencil

std::unique_ptr<VSDStencil> libvisio::VSDXMLParserBase::m_currentStencil
| protected

Referenced by handleMasterEnd(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), libvisio::VDXParser::readPageProps(), libvisio::VSDXParser::readPageSheetProperties(), readShape(), readStencil(), and VSDXMLParserBase().

## ◆ m_currentStencilID

unsigned libvisio::VSDXMLParserBase::m_currentStencilID
| protected

Referenced by handleMasterEnd(), readStencil(), and VSDXMLParserBase().

## ◆ m_currentTabSet

std::map<unsigned, VSDTabStop>* libvisio::VSDXMLParserBase::m_currentTabSet
| protected

Referenced by libvisio::VDXParser::readTab(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), and VSDXMLParserBase().

## ◆ m_extractStencils

bool libvisio::VSDXMLParserBase::m_extractStencils
| protected

Referenced by libvisio::VDXParser::extractStencils(), libvisio::VSDXParser::extractStencils(), handleMasterEnd(), handleMastersEnd(), handleMastersStart(), handleMasterStart(), handlePageEnd(), handlePagesEnd(), handlePagesStart(), handlePageStart(), and VSDXMLParserBase().

## ◆ m_fieldList

VSDFieldList libvisio::VSDXMLParserBase::m_fieldList
| protected

Referenced by VSDXMLParserBase().

## ◆ m_fonts

std::map<unsigned, VSDName> libvisio::VSDXMLParserBase::m_fonts
| protected

Referenced by readCharIX(), libvisio::VDXParser::readFonts(), libvisio::VSDXParser::readFonts(), readParaIX(), and VSDXMLParserBase().

## ◆ m_isInStyles

bool libvisio::VSDXMLParserBase::m_isInStyles
| protected

Referenced by libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), readCharIX(), libvisio::VDXParser::readFillAndShadow(), libvisio::VDXParser::readLine(), readParaIX(), libvisio::VSDXParser::readStyleProperties(), libvisio::VDXParser::readTextBlock(), and VSDXMLParserBase().

## ◆ m_isPageStarted

bool libvisio::VSDXMLParserBase::m_isPageStarted
| protected

Referenced by handleMasterEnd(), handlePageEnd(), readPage(), libvisio::VDXParser::readPageProps(), libvisio::VSDXParser::readPageSheetProperties(), and VSDXMLParserBase().

## ◆ m_isShapeStarted

bool libvisio::VSDXMLParserBase::m_isShapeStarted
| protected

Referenced by _flushShape(), handleMasterEnd(), handleMastersEnd(), handleMastersStart(), handleMasterStart(), handlePageEnd(), handlePagesEnd(), handlePagesStart(), handlePageStart(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), readShape(), and VSDXMLParserBase().

## ◆ m_isStencilStarted

bool libvisio::VSDXMLParserBase::m_isStencilStarted
| protected

Referenced by handleMastersEnd(), handleMastersStart(), handlePagesStart(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), libvisio::VDXParser::readFillAndShadow(), libvisio::VDXParser::readPageProps(), libvisio::VSDXParser::readPageSheetProperties(), readShape(), and VSDXMLParserBase().

## ◆ m_shape

VSDShape libvisio::VSDXMLParserBase::m_shape
| protected

Referenced by _flushShape(), libvisio::VDXParser::getBinaryData(), libvisio::VSDXParser::getBinaryData(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), readCharIX(), libvisio::VDXParser::readFillAndShadow(), readForeignData(), libvisio::VDXParser::readForeignInfo(), readGeometry(), libvisio::VDXParser::readLayerMem(), libvisio::VDXParser::readLine(), libvisio::VDXParser::readMisc(), readParaIX(), readShape(), libvisio::VSDXParser::readShapeProperties(), libvisio::VSDXParser::readStyleProperties(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), libvisio::VSDXParser::readTabs(), readText(), libvisio::VDXParser::readTextBlock(), libvisio::VDXParser::readTxtXForm(), libvisio::VDXParser::readXForm1D(), libvisio::VDXParser::readXFormData(), and VSDXMLParserBase().

## ◆ m_shapeLevelStack

std::stack<unsigned> libvisio::VSDXMLParserBase::m_shapeLevelStack
| protected

Referenced by libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), and VSDXMLParserBase().

## ◆ m_shapeList

VSDShapeList libvisio::VSDXMLParserBase::m_shapeList
| protected

Referenced by handleMasterEnd(), handlePageEnd(), readPage(), readShape(), and VSDXMLParserBase().

## ◆ m_shapeStack

std::stack<VSDShape> libvisio::VSDXMLParserBase::m_shapeStack
| protected

Referenced by libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), readShape(), and VSDXMLParserBase().

## ◆ m_stencils

VSDStencils libvisio::VSDXMLParserBase::m_stencils
| protected

Referenced by handleMasterEnd(), handleMastersStart(), libvisio::VDXParser::parseMain(), libvisio::VSDXParser::parseMain(), readShape(), and VSDXMLParserBase().

## ◆ m_watcher

XMLErrorWatcher* libvisio::VSDXMLParserBase::m_watcher
| protected

Referenced by libvisio::VSDXParser::processXmlDocument(), libvisio::VDXParser::processXmlNode(), readArcTo(), libvisio::VSDXParser::readCharacter(), readCharIX(), readColours(), readEllipse(), readEllipticalArcTo(), libvisio::VDXParser::readFillAndShadow(), libvisio::VDXParser::readFonts(), libvisio::VSDXParser::readFonts(), libvisio::VDXParser::readForeignInfo(), readInfiniteLine(), libvisio::VSDXParser::readLayer(), readLayerIX(), libvisio::VDXParser::readLayerMem(), libvisio::VDXParser::readLine(), readLineTo(), libvisio::VDXParser::readMisc(), readMoveTo(), readNURBSTo(), libvisio::VDXParser::readPageProps(), libvisio::VSDXParser::readPageSheetProperties(), libvisio::VSDXParser::readParagraph(), readParaIX(), readPolylineTo(), readRelCubBezTo(), readRelEllipticalArcTo(), readRelLineTo(), readRelMoveTo(), readRelQuadBezTo(), libvisio::VSDXParser::readShapeProperties(), readSplineKnot(), readSplineStart(), libvisio::VSDXParser::readStyleProperties(), libvisio::VDXParser::readTab(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), libvisio::VSDXParser::readTabs(), readText(), libvisio::VDXParser::readTextBlock(), libvisio::VDXParser::readTxtXForm(), libvisio::VDXParser::readXForm1D(), libvisio::VDXParser::readXFormData(), and VSDXMLParserBase().

The documentation for this class was generated from the following files:

- VSDXMLParserBase.h
- VSDXMLParserBase.cpp